
TYPO3.Flow - Task # 1844

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Cache
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Check memcached cache backend
Description

Make sure it does all it needs to do and does it well.

Associated revisions
Revision ef993404 - 2008-10-28 16:46 - Karsten Dambekalns
FLOW3:
    -  some cleanup in Cache component, refs #1843, refs #1844
    -  added findByTag() to cache frontends, fixes #1199

Revision 96d5076a - 2009-01-26 21:03 - Karsten Dambekalns
FLOW3 (Memcached cache backend, refs #1844):
    -  now handles values larger than 1 MB and flush()es only the current cache's entries
    -  uses SystemLogger for some operations
    -  accepts "tcp://" prefix for hostnames and uses default port from php.ini if none given
    -  fixed handling of flags given to set(), enables compression
    -  memcache keys longer then 250 character raise an exception now instead of being silently trunacted
FLOW3:
    -  Documentation nitpicking cleanup to Cache\BackendInterface

Revision e15182c5 - 2009-01-27 14:29 - Karsten Dambekalns
FLOW3 (Cache):
    -  removed wildcard support (from documentation) in getByTag() and findIdentifierByTag()
    -  moved some methods, constants and checks to better-fitting places

fixes #1844, refs #1843

Revision 661fe747 - 2009-01-27 17:32 - Karsten Dambekalns
FLOW3 (Cache):
    -  added setter for default lifetime to AbstractBackend
    -  fixed handling of unlimited default lifetime in all three backend implementations (refs #1843, refs #1844)
    -  the default cache configuration (Caches.yaml) now sets unlimited expiry time, should help against exception 1229362833

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2008-10-28 18:07 - Karsten Dambekalns

    -  make sure two or more FLOW3 instances can share a memcached server without conflicting
    -  check ways of dealing with data too large for a memcached bucket

#3 - 2009-01-23 16:40 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#4 - 2009-01-27 14:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1802.
